Subject: Re: [PATCH 00/15] PowerMac i2c API conversions & windfarm updates

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 25 Apr 2012 18:38:45 +1000

On Wed, 2012-04-25 at 10:00 +0200, Andreas Schwab wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > The biggest change is that windfarm is ported to generally use
> > the new model, and I've written a new set of windfarm modules to
> > take over from the old therm_pm72 (which was mostly unfixable)
> > on the PowerMac G5 AGP and Xserve G5 machines.
> 
> I have the impression that the new driver keeps the fans running faster
> all the time.

There's a few things you can try. Both drivers put the various values &
speeds in sysfs, tho in different places. You can do a test such as
overnight idle or something like that and compare the averages.

Also, does the new driver properly react to load ?

The algorithm should be identical and the factors fed to it as well, but
there's always the possibility that I screwed up something.

Cheers,
Ben.